<template>
    <div class = "listMain">

    <hr>
    <strong class="strongText">Your To-dos</strong>
        <ul>
            <li class="taskList" v-for="task in this.toDo" v-bind:key="task.index">
                <p>{{task.Title}}</p>
            </li>
        </ul>
    </div>
</template>

<script>
import {service} from "./api"


export default {
    data(){ return {
        toDo:[],
    }},
    methods:{
        async getReq () {            
            await service.get("https://assigment-backend-k3r9w.ondigitalocean.app/getTask")
                .then((response) => {
                    this.toDo=response.data
                });
        }
    },

    mounted(){
        this.$root.$on('sendText',(inputText)=>{    
            this.getReq()            
        })
    },
    beforeMount(){
        this.getReq()
    }

}
</script>

<style >

</style>
